Page 1 of 3 123 LastLast
Results 1 to 10 of 26

Thread: I can not update or install packages on Suse 12.3

  1. #1

    Question I can not update or install packages on Suse 12.3

    Hello guys,
    I just formatted my machine with OpenSuse 12.3.
    Since formated could not install anything! Anything I have installed the Yast arrives sometime appears that this message!

    Code:
    Subprocess failed. Error: RPM failed: Command was killed by signal 11 (Segmentation fault).
    If I try the terminal appears the same. Sometimes reports that "Installation was interrupted by the User."
    Note: this happens in any program I try to install both the Yast2 as the terminal using zypper.
    I tried to upgrade the system and the same mistake was made​​.
    Until some packages updated but always shows this error.
    Code:
    # zypper dup
    ...
    Retrieving package kde-gtk-config-2.1.1-4.1.1.x86_64                                                                                                   (345/537),  81.9 KiB (306.8 KiB unpacked)
    Retrieving: kde-gtk-config-2.1.1-4.1.1.x86_64.rpm ........................................................................................................................................[done]
    Retrieving package kde-gtk-config-lang-2.1.1-4.1.1.noarch                                                                                              (346/537),  30.9 KiB (275.3 KiB unpacked)
    Retrieving: kde-gtk-config-lang-2.1.1-4.1.1.noarch.rpm ......................................................................................................................[done (13.4 KiB/s)]
    Retrieving package okular-4.10.3-1.28.1.x86_64                                                                                                         (347/537),   1.4 MiB (  4.4 MiB unpacked)
    Retrieving: okular-4.10.3-1.28.1.x86_64.rpm ................................................................................................................................[done (538.3 KiB/s)]
    (  1/537) Installing: bash-doc-4.2-61.1.3 ...............................................................................................................................................[error]
    Installation of bash-doc-4.2-61.1.3 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: Command was killed by signal 11 (Segmentation fault).
    
    Abort, retry, ignore? [a/r/i] (a): i
    (  2/537) Installing: bluedevil-lang-1.3-2.1.2 ..........................................................................................................................................[error]
    Installation of bluedevil-lang-1.3-2.1.2 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: Command was killed by signal 11 (Segmentation fault).
    I do not understand what is happening. I've used this same distro, including the same version and had no problem.
    Now appreciate the help.
    Thank you.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,869

    Default Re: I can not update or install packages on Suse 12.3

    Mot that I understand why you have this problem, but just to make a few things clear:

    . When you say "I just formatted my machine with OpenSuse 12.3.", you mean you did a fresh installation of openSUSE?

    . When you did a fresh installation, why then do you do "zypper dup"?

    . Can we see your repos?
    Code:
    zypper lr -d
    Henk van Velden

  3. #3
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I can not update or install packages on Suse 12.3

    On 2013-06-27 14:06, hcvv wrote:
    >
    > Mot that I understand why you have this problem, but just to make a few
    > things clear:


    All package managers in the end call "rpm", and this one crashes.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: I can not update or install packages on Suse 12.3

    Sounds to me like you have a broken installation, possibly due to an interrupted "zypper dup"

    As hcvv suggests,
    It might be useful to know <what> repos you're using to upgrade your openSUSE.

    After verifying that you have a valid repo source configured (eg DVD, ISO or online sources), you probably will need to run "zypper dup" again <to conclusion>. And then, if necessary address minor fixes for things that might not have configured properly (At least for me, I found that zypper dup upgrading is flawless but zypper dup repairing might not be 100%).

    Then, after that <do not ever> run "zypper dup" again except for repair or upgrade to the next version of openSUSE (use zypper up or zypper patch instead for normal maintenance).

    If I were to guess, you're running "zypper dup" without a valid repo source, you probably only have repos configured which do not support that command.

    HTH,
    TSU

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I can not update or install packages on Suse 12.3

    On 2013-06-27 18:36, tsu2 wrote:
    >
    > Sounds to me like you have a broken installation, possibly due to an
    > interrupted "zypper dup"
    >
    > As hcvv suggests,
    > It might be useful to know <what> repos you're using to upgrade your
    > openSUSE.


    Indeed.

    > After verifying that you have a valid repo source configured (eg DVD,
    > ISO or online sources), you probably will need to run "zypper dup" again
    > <to conclusion>.


    As rpm is broken, it will not work. To repair, he would have to do an
    upgrade of 12.3 to 12.3 using the DVD method (boot, choose upgrade).

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  6. #6

    Default Re: I can not update or install packages on Suse 12.3

    On 06/27/2013 03:33 PM, Carlos E. R. pecked at the keyboard and wrote:
    > On 2013-06-27 18:36, tsu2 wrote:
    >> Sounds to me like you have a broken installation, possibly due to an
    >> interrupted "zypper dup"
    >>
    >> As hcvv suggests,
    >> It might be useful to know <what> repos you're using to upgrade your
    >> openSUSE.

    > Indeed.
    >
    >> After verifying that you have a valid repo source configured (eg DVD,
    >> ISO or online sources), you probably will need to run "zypper dup" again
    >> <to conclusion>.

    > As rpm is broken, it will not work. To repair, he would have to do an
    > upgrade of 12.3 to 12.3 using the DVD method (boot, choose upgrade).
    >


    The method I find quite reliable is to modify all repos to the newer
    version and then:

    Code:
    zypper ref
    zypper patch  (should install newer version of rpm and zypp)
    zypper dup
    Hasn't failed me yet but YMMV.

    Ken

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I can not update or install packages on Suse 12.3

    On 2013-06-27 22:22, Ken Schneider wrote:
    > On 06/27/2013 03:33 PM, Carlos E. R. pecked at the keyboard and wrote:



    >> As rpm is broken, it will not work. To repair, he would have to do an
    >> upgrade of 12.3 to 12.3 using the DVD method (boot, choose upgrade).
    >>

    >
    > The method I find quite reliable is to modify all repos to the newer
    > version and then:


    Again. The rpm command segfaults in his system. He can not use any of
    zypper, yast, apper, because ALL will fail as long as rpm is broken. And
    you can not install the rpm toolchain if you can not run any package
    manager nor even rpm!

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,869

    Default Re: I can not update or install packages on Suse 12.3

    Quote Originally Posted by robin_listas View Post
    Again. The rpm command segfaults in his system. He can not use any of
    zypper, yast, apper, because ALL will fail as long as rpm is broken. And
    you can not install the rpm toolchain if you can not run any package
    manager nor even rpm!

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)
    Instead of repeating yourself in talking to everybody but the OP, maybe you could start talking to the OP and suggest something he should show/do/explain to get on the road to repair this.
    Henk van Velden

  9. #9

    Question Re: I can not update or install packages on Suse 12.3

    Guys,
    I preferred to reinstalling the OpenSuse. But, after the process, when it appears show the grub menu and I click in OpenSuse (the first option), I wait a few seconds, and the computer is restarted.
    Whats happening? This is really very strange.
    Could be a hardware with problem?

    (I'm brazilian. So sorry per errors of writing)

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I can not update or install packages on Suse 12.3

    On 2013-06-28 12:26, hcvv wrote:
    >
    > robin_listas;2567883 Wrote:
    >>
    >> Again. The rpm command segfaults in his system. He can not use any of
    >> zypper, yast, apper, because ALL will fail as long as rpm is broken.
    >> And
    >> you can not install the rpm toolchain if you can not run any package
    >> manager nor even rpm!


    > Instead of repeating yourself in talking to everybody but the OP, maybe
    > you could start talking to the OP and suggest something he should
    > show/do/explain to get on the road to repair this.


    I already did, 18 hours ago, but he does not come back and comment on
    how he succeeds or fails to do it.

    I have to warn about wrong advices, too.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •